from setuptools import setup
from distutils.util import convert_path


version = {}
with open(convert_path('corrlib/version.py')) as ver_file:
    exec(ver_file.read(), version)

setup(name='pycorrlib',
      version=version['__version__'],
      author='Justus Kuhlmann',
      author_email='j_kuhl19@uni-muenster.de',
      install_requires=['pyerrors>=2.11.1', 'datalad>=1.1.0', 'typer>=0.12.5'],
      entry_points = {
        'console_scripts': ['pcl=corrlib.cli:app'],
        },
      packages=['corrlib', 'corrlib.input']
      )
